Package ghidra.app.services

# Enum Class AnalyzerType

java.lang.Object
java.lang.Enum<AnalyzerType>
ghidra.app.services.AnalyzerType

All Implemented Interfaces:
  `Serializable`, `Comparable<AnalyzerType>`, `Constable`

public enum AnalyzerType extends Enum<AnalyzerType>
AnalyzerType defines various types of analyzers that Ghidra provides. Analyzers get kicked off based on certain events or conditions, such as a function being defined at a location. Currently there are four types (although only three are used, Data really has no analyzers yet). BYTES - analyze anywhere defined bytes are present (block of memory added) INSTRUCTIONS - analyze anywhere instructions are defined FUNCTIONS - analyze where a function is defined FUNCTION-MODIFIERS - analyze functions whose modifiers have changed modifiers include: - FUNCTION_CHANGED_THUNK - FUNCTION_CHANGED_INLINE - FUNCTION_CHANGED_NORETURN - FUNCTION_CHANGED_CALL_FIXUP - FUNCTION_CHANGED_PURGE FUNCTION-SIGNATURES - analyze functions whose signatures have changed signature include: - FUNCTION_CHANGED_PARAMETERS - FUNCTION_CHANGED_RETURN DATA - analyze where data has been defined. An analyzer can be kicked off because something has caused a change to program, such as adding a function. They can also be kicked off because a specific area of the program has been requested to be analyzed by the user.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BYTE_ANALYZER`
  `DATA_ANALYZER`
  `FUNCTION_ANALYZER`
  `FUNCTION_MODIFIERS_ANALYZER`
  `FUNCTION_SIGNATURES_ANALYZER`
  `INSTRUCTION_ANALYZER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `String`
  `getName()`
  Return the name of this AnalyzerType.
  `String`
  `toString()`
  `static AnalyzerType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnalyzerType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BYTE_ANALYZER

    public static final AnalyzerType BYTE_ANALYZER

  - ### INSTRUCTION_ANALYZER

    public static final AnalyzerType INSTRUCTION_ANALYZER

  - ### FUNCTION_ANALYZER

    public static final AnalyzerType FUNCTION_ANALYZER

  - ### FUNCTION_MODIFIERS_ANALYZER

    public static final AnalyzerType FUNCTION_MODIFIERS_ANALYZER

  - ### FUNCTION_SIGNATURES_ANALYZER

    public static final AnalyzerType FUNCTION_SIGNATURES_ANALYZER

  - ### DATA_ANALYZER

    public static final AnalyzerType DATA_ANALYZER

- ## Method Details

  - ### values

    public static AnalyzerType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnalyzerType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Return the name of this AnalyzerType.

  - ### getDescription

    public String getDescription()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<AnalyzerType>`